<div class="card">
    <div class="card-header">
        <div class="page-header-title form-inline">
            <h4>Lembar Kendali Obat</h4>
        </div>
        <button type="button" class="btn btn-success btn-lg pull-right btn-sm">
            <a [routerLink]="['/listlembarkendaliobat']" style="color: aliceblue">Tambah Lembar Kendali Obat</a>
        </button>
    </div>
    <div class="card-block">
        <form [formGroup]="FormRJ" (ngSubmit)="onSubmit()">
            <div class="dt-responsive dt-bootstrap4 row p-20">
                <div class="col-md-12 col-xl-6 row p-10">
                    <label class="col-sm-4 col-form-label">No. Registrasi</label>
                    <input type="text" class="form-control col-sm-8" id="NoReg" formControlName="NoReg" placeholder="No. Registrasi" value="{{data.noReg}}"
                        maxlength="14">
                        <!-- <label class="col-form-label col-md-8 col-xl-3">: {{data.noReg}}</label> -->
                        
                    <!-- <span class="messages text-danger" *ngIf="!FormRJ.get('NoReg').valid && FormRJ.get('NoReg').touched">* Kolom Harus Diisi</span> -->
                </div>
                <div class="col-md-12 col-xl-6 row p-10">
                    <label class="col-sm-4 col-form-label">No. Rekam Medis</label>
                    <input type="text" class="form-control col-sm-8" id="KdRm" formControlName="KdRm" placeholder="No. Rekam Medis" value="{{data.kdRm}}"
                        maxlength="6">
                        <!-- <label class="col-form-label col-md-8 col-xl-3">:{{data.kdRm}}</label> -->
                        
                    <!-- <span class="messages text-danger" *ngIf="!FormRJ.get('KdRm').valid && FormRJ.get('KdRm').touched">* Kolom Harus Diisi</span> -->
                </div>
                <div class="col-md-12 col-xl-6 row p-10">
                    <label class="col-sm-4 col-form-label">Nama Pasien</label>
                    <!-- <label class="col-form-label col-md-8 col-xl-3">: {{data.nama}} </label> -->
                    <input type="text" class="form-control col-sm-8" id="Nama" formControlName="Nama" placeholder="Nama Pasien" value="{{data.nama}}">
                </div>
                <div class="col-md-12 col-xl-6 row p-10">
                    <label class="col-sm-4 col-form-label">Kelas</label>
                    <input type="text" class="form-control col-sm-8" id="KelasPerawatan" formControlName="KelasPerawatan"
                        placeholder="Kelas Perawatan">
                </div>
                <div class="col-md-12 col-xl-6 row p-10">
                    <label class="col-sm-4 col-form-label">Kamar</label>
                    <input type="text" class="form-control col-sm-8" id="KamarPerawatan" formControlName="KamarPerawatan"
                        placeholder="Kamar Perawatan">
                </div>
                <div class="col-md-12 col-xl-6 row p-10">
                    <label class="col-sm-4 col-form-label">Dokter yang Merawat</label>
                    <input type="text" class="form-control col-sm-8" id="NmDokter" formControlName="NmDokter"
                        placeholder="Nama Dokter">
                </div>
                <div class="col-md-12 col-xl-6 row p-10">
                    <label class="col-sm-4 col-form-label">Konsul Dokter</label>
                    <input type="text" class="form-control col-sm-8" id="KonsulDokter" formControlName="KonsulDokter"
                        placeholder="Konsul Dokter">
                </div>


                <div class="col-md-12 col-xl-12 form-group"></div>

                <div class="col-xs-12 col-sm-12 col-sm-12" style="overflow-x:auto;">
                    <table class="table table-striped table-bordered table-responsive full-data-table text-center pull-center">
                        <thead>
                            <tr>
                                <th width="10%">Tanggal</th>
                                <th width="10%">Ruangan</th>
                                <!-- <th width="5%">Kode Obat</th> -->
                                <th width="30%">Obat yang Digunakan</th>
                                <th width="10%">Jumlah</th>
                                <th width="20%">Harga</th>
                                <th width="20%"></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let field of LKODetail_arr; let i = index">
                                <td>
                                    <input class="form-control" type="date" id="tanggal" name="tanggal"
                                        value="{{field.tanggal}}" readonly="true">
                                </td>
                                <td>
                                    <input class="form-control" type="text" id="ruangan" name="field.ruangan" value="{{field.ruangan}}"
                                        readonly="true">
                                </td>
                                <!-- <td>
                                    <input class="form-control" type="text" id="kodeObat" name="field.kodeObat" value="{{field.kodeObat}}"
                                        readonly="true">
                                </td> -->
                                <td>
                                    <input class="form-control" type="text" id="namaObat" name="namaObat" value="{{field.namaObat}}"
                                        readonly="true">
                                </td>
                                <td>
                                    <input class="form-control" type="text" id="jumlah" name="jumlah" value="{{field.jumlah}}"
                                        readonly="true">
                                </td>
                                <td>
                                    <input class="form-control" type="text" id="harga" name="harga" value="{{field.harga}}"
                                        readonly="true">
                                </td>
                                <td>
                                    <button type="button" class="btn btn-danger btn-sm text-center" (click)="deleteFieldPIO(i)"><i
                                            class="fa fa-trash"></i></button>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <input class="form-control" type="date" id="WaktuLKO" name="WaktuLKO"
                                        formControlName="WaktuLKO" [(ngModel)]="obat.WaktuLKO">
                                </td>
                                <td>
                                    <input class="form-control" type="text" id="RuanganLKO" name="RuanganLKO"
                                        formControlName="RuanganLKO" [(ngModel)]="obat.RuanganLKO">
                                </td>
                                <!-- <td>
                                    <input class="form-control" type="text" id="KodeObat" name="KodeObat"
                                        formControlName="KodeObat" [(ngModel)]="obat.KodeObat">
                                </td> -->
                                <td>
                                    <input class="form-control" type="text" id="NamaObat" name="NamaObat"
                                        formControlName="NamaObat" [(ngModel)]="obat.NamaObat">
                                    <!-- <div class="col-sm-8" style="padding-left: 0px; padding-right: 0px">
                                        <ng2-completer [textSearching]="'Please wait...'" [(ngModel)]="obat.NamaObat"
                                            [datasource]="dataService" [minSearchLength]="4" [inputClass]="['form-control']"
                                            [matchClass]="completer-description" [clearUnselected]="false"
                                            formControlName="NamaObat" id="NamaObat" name="NamaObat" placeholder="No. Nama Obat" 
                                            (selected)="onSelected($event)"></ng2-completer>
                                    </div> -->
                                </td>
                                <td>
                                    <input class="form-control" type="text" id="JumlahObat" name="JumlahObat"
                                        formControlName="JumlahObat" [(ngModel)]="obat.JumlahObat">
                                </td>
                                <td>
                                    <input class="form-control" type="text" id="HargaObat" name="HargaObat"
                                        formControlName="HargaObat" [(ngModel)]="obat.HargaObat">
                                </td>
                                <td>
                                    <button type="button" class="btn btn-primary btn-sm text-center" (click)="addFieldPIO()"><i
                                            class="icofont icofont-ui-add"></i></button>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>




                <div class="col-md-12 col-xl-12 form-group"></div>
                <div class="col-md-12 col-xl-12 form-group"></div>

                <div class="col-md-12 col-xl-12 text-left">
                    <label>Perawat yang mengkaji</label>
                </div>
                <!-- <div class="col-md-12 col-xl-12 form-group">
                    <input type="text" class="form-control col-sm-4" id="NipPerawat" formControlName="NipPerawat"
                        placeholder="NIP Perawat">
                </div> -->
                <div class="col-md-12 col-xl-12 form-group">
                    <input type="text" class="form-control col-sm-4" id="NamaPerawat" formControlName="NamaPerawat"
                        placeholder="Nama Perawat">
                </div>

                <div class="col-md-12 col-xl-12 form-group"></div>

                <!-- Button Save -->
                <div class="col-md-8 col-xl-8 form-group"></div>
                <div class="col-md-4 col-xl-4 form-group text-right" style="margin-top: 20px">
                    <button type="submit" class="btn btn-success btn-md btn-block waves-effect text-center m-b-20">
                        <i class="icofont icofont-save"></i> Simpan
                    </button>
                    <!-- <span class="messages text-danger" *ngIf="inValidFormRJ07">* Form Isian Belum Lengkap</span> -->
                </div>
            </div>
        </form>
    </div>
</div>